Bug 523964 - Firefox plugin database entries out of date after Flash plugin upgrade
Summary: Firefox plugin database entries out of date after Flash plugin upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 12:37 UTC by Ted Rule
Modified: 2018-04-11 07:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-18 09:43:15 UTC


Attachments (Terms of Use)

Description Ted Rule 2009-09-17 12:37:31 UTC
Description of problem:

The recent update of firefox on Fedora 10 to version 3.0.14 resulted in the startup page reporting that the Flash Plugin was out of date, and needed an upgrade. This is due to a recent policy change by Mozilla, as referred to here:

http://www.channelregister.co.uk/2009/09/17/firefox_users_with_vulnerable_flash/

Upon more detailed examination of the problem, I found that the plugin registration "database" in:

    ~/.mozilla/firefox/default.mzd/pluginreg.dat

referred to Flash Plugin version 10.0.22, 

    "Shockwave Flash 10.0 r22"

even though the flash-plugin RPM was version 10.0.32.18. Moreover, "about:plugins" from Firefox also referenced the "Shockwave Flash 10.0 r22" string in its listings.

To work round the problem, I shutdown Firefox, manually removed the pluginreg.dat file, and re-launched Firefox. As a result, both "about:plugins" and the pluginreg.dat file were updated to refer the current version number of the Flash Plugin. At the same time, the version number of MozPlugger was also updated to reflect the true RPM version, as in this string change in pluginreg.dat:

-MozPlugger version 1.10.1, written by Fredrik H&uuml;binette, Louis Bavoil and Peter Leese.<br>For documentation on how to configure mozplugger, check the man page.
+MozPlugger version 1.12.1, written by Fredrik H&uuml;binette, Louis Bavoil and Peter Leese.<br>For documentation on how to configure mozplugger, check the man page.


Since this issue is now more serious, as the erroneous version numbers cause Firefox to mistakenly admonish users about a vulnerable Flash plugin, I think it would be worth ensuring that the pluginreg.dat is kept more accurately up to date.

As a simple workround, when I found a similar issue under Fedora Core 6, I added an /etc/profile.d script to auto-remove the file at login, so that Firefox was forced to update it at launch.

The proper fix would presumably involve code changes in Firefox itself which check timestamps and checksums on all plugins, and update pluginreg.dat when anything is seen to have changed.

Suggested /etc/profile.d/firefox script:

...
# Fixup plugin database by removing it at login and relying
# on an auto-rebuild

[ -d ~/.mozilla ] || exit 0
for f in `find ~/.mozilla -name pluginreg.dat -print 2>/dev/null`
do
  rm -f $f
done
...


Version-Release number of selected component (if applicable):

firefox-3.0.14
flash-plugin-10.0.32.18

Comment 2 Bug Zapper 2009-11-18 12:55:19 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-12-18 09:43:15 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.